package com.steering.mes.zgmil.entity;
/**
 * 数据库表MIL_SAW_RESULT所对应的实体类（生成工具：代码生成器2.4）
 * @author PC201506012023   date 2015-08-22
 */
public class MilSawResultEntity {
	private String status;
    public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	/**
     * 实绩编号
     */
    private String resultNo;
    /**
     * 生产批号
     */
    private String lotNo;
    /**
     * 熔炼炉号
     */
    private String stoveNo;
    /**
     * 判定炉号
     */
    private String judgeStoveNo;
    /**
     * 厂线代码
     */
    private String plineCode;
    /**
     * 分切数
     */
    private String sawNum;
    /**
     * 定尺上限
     */
    private String orderLengthMax;
    /**
     * 定尺下限
     */
    private String orderLengthMin;
    /**
     * 定尺长度
     */
    private String orderLength;
    /**
     * 切头长度
     */
    private String cutHeadLength;
    /**
     * 切尾长度
     */
    private String cutTrailLength;
    /**
     * 切头总长度
     */
    private String cutHeadLengthTotal;
    /**
     * 切尾总长度
     */
    private String cutTrailLengthTotal;
    /**
     * 切头总重量
     */
    private String cutHeadHeightTotal;
    /**
     * 切尾总重量
     */
    private String cutTrailHeigthTotal;
    /**
     * 切前剔除支数
     */
    private String scrapNum;
    /**
     * 切前合格支数
     */
    private String cutNum;
    /**
     * 剔除支数
     */
    private String scrapDbnum;
    /**
     * 切后支数
     */
    private String cutDbnum;
    /**
     * 交接班支数
     */
    private String changeNum;
    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 结束时间
     */
    private String endTime;
    /**
     * 监制人
     */
    private String executiveProducer;
    /**
     * 监制时间
     */
    private String producerTime;
    /**
     * 监制人电话
     */
    private String producerTel;
    /**
     * 结炉标识
     */
    private String nodeFurFlag;
    /**
     * 备注
     */
    private String remark;
    /**
     * 采集方式(0-接口采集，1-人工录入)
     */
    private String colMode;
    /**
     * 采集/录入时间
     */
    private String colTime;
    /**
     * 操作人
     */
    private String colUser;
    /**
     * 操作班次
     */
    private String colShift;
    /**
     * 操作班组
     */
    private String colGroup;
    /**
     * 目标长度
     */
    private String targetLength;
    /**
     * 控制壁厚
     */
    private String colThick;
    /**
     * 切尾类型
     */
    private String cutType;
    /**
     * 1号锯切头刀数(每排)
     */
    private String cutHeadCount1;
    /**
     * 2号锯切头刀数(每排)
     */
    private String cutHeadCount2;
    /**
     * 3号锯切头刀数(每排)
     */
    private String cutHeadCount3;
    /**
     * 4号锯切头刀数(每排)
     */
    private String cutHeadCount4;
    /**
     * 1号锯切尾刀数(每排)
     */
    private String cutTrailCount1;
    /**
     * 2号锯切尾刀数(每排)
     */
    private String cutTrailCount2;
    /**
     * 3号锯切尾刀数(每排)
     */
    private String cutTrailCount3;
    /**
     * 4号锯切尾刀数(每排)
     */
    private String cutTrailCount4;
    /**
     * 1号锯切定尺刀数(每排)
     */
    private String cutOrderCount1;
    /**
     * 2号锯切定尺刀数(每排)
     */
    private String cutOrderCount2;
    /**
     * 3号锯切定尺刀数(每排)
     */
    private String cutOrderCount3;
    /**
     * 4号锯切定尺刀数(每排)
     */
    private String cutOrderCount4;
    /**
     * 合格吨
     */
    private String qaTon ;
    
    private String userId;

    /**
     * 轧管订单编号
     */
    private String proPlanId;
    
    /**
     * 工序排产序号
     */
    private String gxPlanNo;
 

	public MilSawResultEntity(){
		proPlanId = "";
		gxPlanNo = "";
    	userId = "";
    	qaTon="";
        resultNo = "";
        lotNo = "";
        stoveNo = "";
        judgeStoveNo = "";
        plineCode = "";
        sawNum = "";
        orderLengthMax = "";
        orderLengthMin = "";
        orderLength = "";
        cutHeadLength = "";
        cutTrailLength = "";
        cutHeadLengthTotal = "";
        cutTrailLengthTotal = "";
        cutHeadHeightTotal = "";
        cutTrailHeigthTotal = "";
        scrapNum = "";
        cutNum = "";
        scrapDbnum = "";
        cutDbnum = "";
        changeNum = "";
        startTime = "";
        endTime = "";
        executiveProducer = "";
        producerTime = "";
        producerTel = "";
        nodeFurFlag = "";
        remark = "";
        colMode = "";
        colTime = "";
        colUser = "";
        colShift = "";
        colGroup = "";
        targetLength = "";
        colThick = "";
        cutType = "";
        cutHeadCount1 = "";
        cutHeadCount2 = "";
        cutHeadCount3 = "";
        cutHeadCount4 = "";
        cutTrailCount1 = "";
        cutTrailCount2 = "";
        cutTrailCount3 = "";
        cutTrailCount4 = "";
        cutOrderCount1 = "";
        cutOrderCount2 = "";
        cutOrderCount3 = "";
        cutOrderCount4 = "";
    }

	/***
	 * 操作人ID
	 * @return
	 */
	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}
	
    /**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 厂线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 厂线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 分切数
     * @return value
     */
    public String getSawNum() {
        return sawNum;
    }

    /**
     * 分切数
     * @param sawNum value
     */
    public void setSawNum(String sawNum) {
        this.sawNum = sawNum;
    }

    /**
     * 定尺上限
     * @return value
     */
    public String getOrderLengthMax() {
        return orderLengthMax;
    }

    /**
     * 定尺上限
     * @param orderLengthMax value
     */
    public void setOrderLengthMax(String orderLengthMax) {
        this.orderLengthMax = orderLengthMax;
    }

    /**
     * 定尺下限
     * @return value
     */
    public String getOrderLengthMin() {
        return orderLengthMin;
    }

    /**
     * 定尺下限
     * @param orderLengthMin value
     */
    public void setOrderLengthMin(String orderLengthMin) {
        this.orderLengthMin = orderLengthMin;
    }

    /**
     * 定尺长度
     * @return value
     */
    public String getOrderLength() {
        return orderLength;
    }

    /**
     * 定尺长度
     * @param orderLength value
     */
    public void setOrderLength(String orderLength) {
        this.orderLength = orderLength;
    }

    /**
     * 切头长度
     * @return value
     */
    public String getCutHeadLength() {
        return cutHeadLength;
    }

    /**
     * 切头长度
     * @param cutHeadLength value
     */
    public void setCutHeadLength(String cutHeadLength) {
        this.cutHeadLength = cutHeadLength;
    }

    /**
     * 切尾长度
     * @return value
     */
    public String getCutTrailLength() {
        return cutTrailLength;
    }

    /**
     * 切尾长度
     * @param cutTrailLength value
     */
    public void setCutTrailLength(String cutTrailLength) {
        this.cutTrailLength = cutTrailLength;
    }

    /**
     * 切头总长度
     * @return value
     */
    public String getCutHeadLengthTotal() {
        return cutHeadLengthTotal;
    }

    /**
     * 切头总长度
     * @param cutHeadLengthTotal value
     */
    public void setCutHeadLengthTotal(String cutHeadLengthTotal) {
        this.cutHeadLengthTotal = cutHeadLengthTotal;
    }

    /**
     * 切尾总长度
     * @return value
     */
    public String getCutTrailLengthTotal() {
        return cutTrailLengthTotal;
    }

    /**
     * 切尾总长度
     * @param cutTrailLengthTotal value
     */
    public void setCutTrailLengthTotal(String cutTrailLengthTotal) {
        this.cutTrailLengthTotal = cutTrailLengthTotal;
    }

    /**
     * 切头总重量
     * @return value
     */
    public String getCutHeadHeightTotal() {
        return cutHeadHeightTotal;
    }

    /**
     * 切头总重量
     * @param cutHeadHeightTotal value
     */
    public void setCutHeadHeightTotal(String cutHeadHeightTotal) {
        this.cutHeadHeightTotal = cutHeadHeightTotal;
    }

    /**
     * 切尾总重量
     * @return value
     */
    public String getCutTrailHeigthTotal() {
        return cutTrailHeigthTotal;
    }

    /**
     * 切尾总重量
     * @param cutTrailHeigthTotal value
     */
    public void setCutTrailHeigthTotal(String cutTrailHeigthTotal) {
        this.cutTrailHeigthTotal = cutTrailHeigthTotal;
    }

    /**
     * 切前剔除支数
     * @return value
     */
    public String getScrapNum() {
        return scrapNum;
    }

    /**
     * 切前剔除支数
     * @param scrapNum value
     */
    public void setScrapNum(String scrapNum) {
        this.scrapNum = scrapNum;
    }

    /**
     * 切前合格支数
     * @return value
     */
    public String getCutNum() {
        return cutNum;
    }

    /**
     * 切前合格支数
     * @param cutNum value
     */
    public void setCutNum(String cutNum) {
        this.cutNum = cutNum;
    }

    /**
     * 剔除支数
     * @return value
     */
    public String getScrapDbnum() {
        return scrapDbnum;
    }

    /**
     * 剔除支数
     * @param scrapDbnum value
     */
    public void setScrapDbnum(String scrapDbnum) {
        this.scrapDbnum = scrapDbnum;
    }

    /**
     * 切后支数
     * @return value
     */
    public String getCutDbnum() {
        return cutDbnum;
    }

    /**
     * 切后支数
     * @param cutDbnum value
     */
    public void setCutDbnum(String cutDbnum) {
        this.cutDbnum = cutDbnum;
    }

    /**
     * 交接班支数
     * @return value
     */
    public String getChangeNum() {
        return changeNum;
    }

    /**
     * 交接班支数
     * @param changeNum value
     */
    public void setChangeNum(String changeNum) {
        this.changeNum = changeNum;
    }

    /**
     * 开始时间
     * @return value
     */
    public String getStartTime() {
        return startTime;
    }

    /**
     * 开始时间
     * @param startTime value
     */
    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    /**
     * 结束时间
     * @return value
     */
    public String getEndTime() {
        return endTime;
    }

    /**
     * 结束时间
     * @param endTime value
     */
    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    /**
     * 监制人
     * @return value
     */
    public String getExecutiveProducer() {
        return executiveProducer;
    }

    /**
     * 监制人
     * @param executiveProducer value
     */
    public void setExecutiveProducer(String executiveProducer) {
        this.executiveProducer = executiveProducer;
    }

    /**
     * 监制时间
     * @return value
     */
    public String getProducerTime() {
        return producerTime;
    }

    /**
     * 监制时间
     * @param producerTime value
     */
    public void setProducerTime(String producerTime) {
        this.producerTime = producerTime;
    }

    /**
     * 监制人电话
     * @return value
     */
    public String getProducerTel() {
        return producerTel;
    }

    /**
     * 监制人电话
     * @param producerTel value
     */
    public void setProducerTel(String producerTel) {
        this.producerTel = producerTel;
    }

    /**
     * 结炉标识
     * @return value
     */
    public String getNodeFurFlag() {
        return nodeFurFlag;
    }

    /**
     * 结炉标识
     * @param nodeFurFlag value
     */
    public void setNodeFurFlag(String nodeFurFlag) {
        this.nodeFurFlag = nodeFurFlag;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @return value
     */
    public String getColMode() {
        return colMode;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @param colMode value
     */
    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    /**
     * 采集/录入时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 采集/录入时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }

    /**
     * 目标长度
     * @return value
     */
    public String getTargetLength() {
        return targetLength;
    }

    /**
     * 目标长度
     * @param targetLength value
     */
    public void setTargetLength(String targetLength) {
        this.targetLength = targetLength;
    }

    /**
     * 控制壁厚
     * @return value
     */
    public String getColThick() {
        return colThick;
    }

    /**
     * 控制壁厚
     * @param colThick value
     */
    public void setColThick(String colThick) {
        this.colThick = colThick;
    }

    /**
     * 切尾类型
     * @return value
     */
    public String getCutType() {
        return cutType;
    }

    /**
     * 切尾类型
     * @param cutType value
     */
    public void setCutType(String cutType) {
        this.cutType = cutType;
    }

    /**
     * 1号锯切头刀数(每排)
     * @return value
     */
    public String getCutHeadCount1() {
        return cutHeadCount1;
    }

    /**
     * 1号锯切头刀数(每排)
     * @param cutHeadCount1 value
     */
    public void setCutHeadCount1(String cutHeadCount1) {
        this.cutHeadCount1 = cutHeadCount1;
    }

    /**
     * 2号锯切头刀数(每排)
     * @return value
     */
    public String getCutHeadCount2() {
        return cutHeadCount2;
    }

    /**
     * 2号锯切头刀数(每排)
     * @param cutHeadCount2 value
     */
    public void setCutHeadCount2(String cutHeadCount2) {
        this.cutHeadCount2 = cutHeadCount2;
    }

    /**
     * 3号锯切头刀数(每排)
     * @return value
     */
    public String getCutHeadCount3() {
        return cutHeadCount3;
    }

    /**
     * 3号锯切头刀数(每排)
     * @param cutHeadCount3 value
     */
    public void setCutHeadCount3(String cutHeadCount3) {
        this.cutHeadCount3 = cutHeadCount3;
    }

    /**
     * 4号锯切头刀数(每排)
     * @return value
     */
    public String getCutHeadCount4() {
        return cutHeadCount4;
    }

    /**
     * 4号锯切头刀数(每排)
     * @param cutHeadCount4 value
     */
    public void setCutHeadCount4(String cutHeadCount4) {
        this.cutHeadCount4 = cutHeadCount4;
    }

    /**
     * 1号锯切尾刀数(每排)
     * @return value
     */
    public String getCutTrailCount1() {
        return cutTrailCount1;
    }

    /**
     * 1号锯切尾刀数(每排)
     * @param cutTrailCount1 value
     */
    public void setCutTrailCount1(String cutTrailCount1) {
        this.cutTrailCount1 = cutTrailCount1;
    }

    /**
     * 2号锯切尾刀数(每排)
     * @return value
     */
    public String getCutTrailCount2() {
        return cutTrailCount2;
    }

    /**
     * 2号锯切尾刀数(每排)
     * @param cutTrailCount2 value
     */
    public void setCutTrailCount2(String cutTrailCount2) {
        this.cutTrailCount2 = cutTrailCount2;
    }

    /**
     * 3号锯切尾刀数(每排)
     * @return value
     */
    public String getCutTrailCount3() {
        return cutTrailCount3;
    }

    /**
     * 3号锯切尾刀数(每排)
     * @param cutTrailCount3 value
     */
    public void setCutTrailCount3(String cutTrailCount3) {
        this.cutTrailCount3 = cutTrailCount3;
    }

    /**
     * 4号锯切尾刀数(每排)
     * @return value
     */
    public String getCutTrailCount4() {
        return cutTrailCount4;
    }

    /**
     * 4号锯切尾刀数(每排)
     * @param cutTrailCount4 value
     */
    public void setCutTrailCount4(String cutTrailCount4) {
        this.cutTrailCount4 = cutTrailCount4;
    }

    /**
     * 1号锯切定尺刀数(每排)
     * @return value
     */
    public String getCutOrderCount1() {
        return cutOrderCount1;
    }

    /**
     * 1号锯切定尺刀数(每排)
     * @param cutOrderCount1 value
     */
    public void setCutOrderCount1(String cutOrderCount1) {
        this.cutOrderCount1 = cutOrderCount1;
    }

    /**
     * 2号锯切定尺刀数(每排)
     * @return value
     */
    public String getCutOrderCount2() {
        return cutOrderCount2;
    }

    /**
     * 2号锯切定尺刀数(每排)
     * @param cutOrderCount2 value
     */
    public void setCutOrderCount2(String cutOrderCount2) {
        this.cutOrderCount2 = cutOrderCount2;
    }

    /**
     * 3号锯切定尺刀数(每排)
     * @return value
     */
    public String getCutOrderCount3() {
        return cutOrderCount3;
    }

    /**
     * 3号锯切定尺刀数(每排)
     * @param cutOrderCount3 value
     */
    public void setCutOrderCount3(String cutOrderCount3) {
        this.cutOrderCount3 = cutOrderCount3;
    }

    /**
     * 4号锯切定尺刀数(每排)
     * @return value
     */
    public String getCutOrderCount4() {
        return cutOrderCount4;
    }

    /**
     * 4号锯切定尺刀数(每排)
     * @param cutOrderCount4 value
     */
    public void setCutOrderCount4(String cutOrderCount4) {
        this.cutOrderCount4 = cutOrderCount4;
    }
    /**
     * 合格吨
     * @return value
     */
    public String getQaTon() {
        return qaTon;
    }

    /**
     * 合格吨
     * @param qaTon value
     */
    public void setQaTon(String qaTon) {
        this.qaTon = qaTon;
    }

	public String getProPlanId() {
		return proPlanId;
	}

	public void setProPlanId(String proPlanId) {
		this.proPlanId = proPlanId;
	}

	public String getGxPlanNo() {
		return gxPlanNo;
	}

	public void setGxPlanNo(String gxPlanNo) {
		this.gxPlanNo = gxPlanNo;
	}
    
}